<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBackground"
    tools:context="app.furmeet.events.system.schedule.SearchFilterActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/queryTextContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/colorBase01">

            <EditText
                android:id="@+id/queryText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="4dp"
                android:layout_marginBottom="2dp"
                android:background="@drawable/ic_rounded_corner"
                android:backgroundTint="@color/colorBase02"
                android:ems="10"
                android:hint="@string/schedule_event_key_activity"
                android:inputType="text"
                android:paddingStart="6dp"
                android:paddingTop="12dp"
                android:paddingEnd="6dp"
                android:paddingBottom="12dp"
                android:text=""
                android:textColor="@color/colorWhiteDoNotInvert"
                android:textColorHint="@color/colorBase01"
                android:textCursorDrawable="@null" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/filters"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/colorBase01"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/categoryFiltersContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="4dp"
                android:paddingTop="8dp"
                android:paddingBottom="8dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/schedule_event_key_categories"
                    android:textColor="@color/colorWhiteDoNotInvert" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=":"
                    android:textColor="@color/colorWhiteDoNotInvert" />

                <Space
                    android:layout_width="4dp"
                    android:layout_height="0dp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/filterCriteriaTags"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/colorBase01"
                    android:fadingEdge="horizontal"
                    android:orientation="horizontal"
                    android:overScrollMode="always"
                    android:requiresFadingEdge="horizontal" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/placeFiltersContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="4dp"
                android:paddingTop="8dp"
                android:paddingBottom="8dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/schedule_event_key_places"
                    android:textColor="@color/colorWhiteDoNotInvert" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=":"
                    android:textColor="@color/colorWhiteDoNotInvert" />

                <Space
                    android:layout_width="4dp"
                    android:layout_height="0dp" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/filterCriteriaPlaces"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/colorBase01"
                    android:fadingEdge="horizontal"
                    android:orientation="horizontal"
                    android:overScrollMode="always"
                    android:requiresFadingEdge="horizontal" />

            </LinearLayout>
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerList"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:scrollbars="vertical" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>